List beneficiaries
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/customer/{customer_id}/beneficiary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/customer/{customer_id}/beneficiary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/customer/{customer_id}/beneficiary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/customer/{customer_id}/beneficiary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/customer/{customer_id}/beneficiary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Customers retrieved successfully.",
"data": [
{
"id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee",
"business_id": "9d4c4ec5-572d-49de-a362-f01ed09f2b1b",
"first_name": "Halie",
"last_name": "Skiles",
"business_name": null,
"type": "individual",
"email": "danyka66@example.org",
"country": "NG",
"id_type": "passport",
"id_number": "1DaRjlBTMZ",
"verification_status": "PENDING"
}
]
}{
"message": "Invalid or missing access token"
}Customer
List beneficiaries
Retrieve all beneficiaries for a customer. Required scope: beneficiary:read.
GET
/
api
/
external
/
customer
/
{customer_id}
/
beneficiary
List beneficiaries
Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Path Parameters
Customer ID
Was this page helpful?
⌘I

